Subject: RE: bug#25665: 26.0.50; [PATCH] Indicate prefix arg in minibuffer prompt for shell-command

From: Drew Adams <[email-masked]>
Date: Thu, 9 Feb 2017 13:00:51 -0800 (PST)

> > I am not sure about this.
> > The meaning of the prefix argument must be explained in the docstring.
> > That and the manual are the source of documentation, not the prompt.
> >
> > Having a short prompt is also good because there are more space
> > in the line for the command; a short prompt is also better while tipying
> > a long command: sometimes you want to change something at the beginning:
> > < ; `beginning-of-buffer'
> > Now you need to `C-f' several times to jump out of the prompt.  The more
> > verbose prompt, the more `C-f' you need.
> >
> > Just my opinion.  Let's see what other people think.
> 
> I think it goes against Emacs conventions.  We have quite a few
> commands that insert output into the current buffer when invoked with
> an argument.

(Sorry, I misunderstood the suggestion.  I didn't look at the
patch, and didn't get that this was about changing a _prompt_.)

I don't think the suggestion "goes against Emacs conventions".

Certainly it is the case that we do not do this for most
commands that do something different when invoked with a
prefix arg.

But there is a difference between a command that prompts
and one, such as `eval-last-sexp', that does not.  Most
"commands that insert output" when you use a prefix arg
do not prompt, I think. 

And I know of no convention that says that a command should
not use a different prompt when a prefix arg is used.

It's a judgment call.  For this one I have no opinion.

I don't think, however, that the length of the prompt is
very important here.  That's a fairly weak criterion for
deciding whether to change the prompt.

Doing something like what was suggested could be helpful
mainly in a situation where (1) the behavior is very
different if a prefix arg is used and (2) it's not easy
to undo a mistaken use of the command.

If that's not the case here then I don't see a need for it.